You are not logged in.

#1 2017-02-22 09:35:06

luvalem
Member
Registered: 2017-02-22
Posts: 20

Franciser Bunsenlabs etape 1

The Bunsenlabs distribution is provided in English, I embarked on its Francisation, I will share here if it concerns the different stages to get there.

La distribution Bunsenlabs est fournie en Anglais, je me suis lancé dans sa Francisation, je partagerai ici si cela interesse les diffèrentes étapes pour y arriver.

Traduction Francaise de BunsenLabs

1  -Effectuer le Cb-Welcome (Apparement 2 fois dans mon cas)
2  -Installer vos programmes préférés.
3  -Modifier le fichier  "~/.config/user-dirs.locale" en "fr_BE" (dans mon cas)
4  -Supprimer le fichier "~/.config/user-dirs.dirs"
5  -Copier le dossier Wallpaper dans home/user/
   "cp -r ~/Pictures/wallpapers/ ~/"
6  -Supprimer les Dossiers " Desktop Download Templates Public Documents Music Pictures Videos"
7  -Mettre a jour les Répertoires : "sudo xdg-user-dirs-update"
8  -Se deconnecter et puis verifier que les dossiers sont bien en Francais.
9  -Copier le dossier Wallpaper dans Images
     "mv ~/wallpapers/ ~/Images/"
10 -Dans Synaptic selectionner "iceweasel-l10n-fr" et install
                               " libreoffice-l10n-fr" et install
11 -Pour le Franciser le menu openbox ca se corse un peu, voici donc mon menu.xml
    a copier (et modifier le cas écheant) dans "~/.config/openbox/"   
   
    A préciser pour le menu logout, j'ai préféré le paquet "obsession"
    "sudo apt-get install obsession"
======================================================================================================================   

    <?xml version="1.0" encoding="utf-8"?>
<openbox_menu xmlns="http://openbox.org/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://openbox.org/                 file:///usr/share/openbox/menu.xsd">
	<menu id="exit-menu" label="Exit">
		<item label="Log out">
			<action name="Execute">
				<command>
                    bl-exit --logout
                </command>
			</action>
		</item>
		<item label="Suspend">
			<action name="Execute">
				<command>
                    bl-exit --suspend
                </command>
			</action>
		</item>
		<item label="Reboot">
			<action name="Execute">
				<command>
                    bl-exit --reboot
                </command>
			</action>
		</item>
		<item label="Power off">
			<action name="Execute">
				<command>
                    bl-exit --poweroff
                </command>
			</action>
		</item>
	</menu>
	<menu id="root-menu" label="Openbox 3">
		<item label="Run Program">
			<action name="Execute">
				<command>
                    gmrun
                </command>
			</action>
		</item>
		<separator/>
		<item label="Terminal">
			<action name="Execute">
				<command>
                    x-terminal-emulator
                </command>
			</action>
		</item>
		<item label="Navigateur Web">
			<action name="Execute">
				<command>x-www-browser</command>
			</action>
		</item>
		<item label="Navigateur Fichiers">
			<action name="Execute">
				<command>bl-file-manager</command>
			</action>
		</item>
		<item label="Editeur Texte">
			<action name="Execute">
				<command>bl-text-editor</command>
			</action>
		</item>
		<item label="Lecteur Media">
			<action name="Execute">
				<command>bl-media-player</command>
			</action>
		</item>
		<separator/>
		<menu id="accessories" label="Accessoires">
			<item label="Recherche Fichiers">
				<action name="Execute">
					<command>catfish</command>
				</action>
			</item>
			<item label="Gestionnaire Archive">
				<action name="Execute">
					<command>file-roller</command>
				</action>
			</item>
			<item label="Gestion Tâches(htop)">
				<action name="Execute">
					<command>x-terminal-emulator -T 'htop task manager' -e htop</command>
				</action>
			</item>
			<item label="BLOB Themes Manager">
				<action name="Execute">
					<command>
                        bl-obthemes
                    </command>
				</action>
			</item>
		</menu>
		<menu execute="bl-graphics-pipemenu" id="bl-graphics-pipemenu" label="Graphisme"/>
		<menu execute="bl-multimedia-pipemenu" id="bl-multimedia-pipemenu" label="Multimedia"/>
		<menu id="network" label="Reseau">
			<menu execute="bl-x-www-browser-pipemenu" id="wwwbrowsers" label="Navigateurs Web"/>
			<item label="Filezilla FTP Client">
				<action name="Execute">
					<command>
                        filezilla
                    </command>
				</action>
			</item>
			<item label="Transmission BitTorrent Client">
				<action name="Execute">
					<command>
                        transmission-gtk
                    </command>
				</action>
			</item>
			<item label="HexChat IRC Client">
				<action name="Execute">
					<command>
                        hexchat
                    </command>
				</action>
			</item>
			<item label="Fichiers Distants">
				<action name="Execute">
					<command>gigolo</command>
				</action>
			</item>
		</menu>
		<separator/>
		<menu id="office" label="Bureautique">
			<menu execute="bl-libreoffice-pipemenu" id="libreoffice" label="LibreOffice"/>
			<item label="Google Docs">
				<action name="Execute">
					<command>
                        x-www-browser [url]https://drive.google.com/[/url]
                    </command>
				</action>
			</item>
			<item label="Tableur Gnumeric">
				<action name="Execute">
					<command>gnumeric</command>
				</action>
			</item>
			<item label="Calculatrice">
				<action name="Execute">
					<command>galculator</command>
				</action>
			</item>
			<item label="Evince Lecteur PDF">
				<action name="Execute">
					<command>evince</command>
				</action>
			</item>
		</menu>
		<menu execute="bl-places-pipemenu" id="pipe-placesmenu" label="Emplacements"/>
		<menu execute="bl-recent-files-pipemenu -rl15" id="pipe-recentfilesmenu" label="Fichiers Recents"/>
		<separator/>
		<menu id="preferences" label="Préférences">
			<menu id="obConfig" label="Openbox">
				<item label="Editer menu.xml">
					<action name="Execute">
						<command>bl-text-editor ~/.config/openbox/menu.xml</command>
					</action>
				</item>
				<item label="Editer rc.xml">
					<action name="Execute">
						<command>bl-text-editor ~/.config/openbox/rc.xml</command>
					</action>
				</item>
				<item label="Editer autostart">
					<action name="Execute">
						<command>bl-text-editor ~/.config/openbox/autostart</command>
					</action>
				</item>
				<separator/>
				<item label="GUI Editeur Menu">
					<action name="Execute">
						<command>obmenu</command>
					</action>
				</item>
				<item label="GUI outil Config">
					<action name="Execute">
						<command>obconf</command>
					</action>
				</item>
				<item label="Comment Editer le Menu">
					<action name="Execute">
						<command>yad --button=&quot;OK&quot;:0 --center --window-icon=distributor-logo-bunsenlabs --text-info --title=&quot;How to Edit the Menu&quot; --filename=&quot;/usr/share/bunsen/docs/helpfile-menu.txt&quot; --width=900 --height=700 --fontname=Monospace</command>
					</action>
				</item>
				<separator/>
				<item label="Reconfigurer">
					<action name="Reconfigure"/>
				</item>
				<item label="Redemarrer">
					<action name="Restart"/>
				</item>
			</menu>
			<menu execute="bl-compositor" id="CompositingPipeMenu" label="Effets Composite"/>
			<menu execute="bl-conky-pipemenu" id="pipe-conkymenu" label="Conky"/>
			<menu execute="bl-tint2-pipemenu" id="pipe-tint2menu" label="Tint2"/>
			<item label="Apparence">
				<action name="Execute">
					<command>lxappearance</command>
				</action>
			</item>
			<item label="Choisir Arriere Plan">
				<action name="Execute">
					<command>nitrogen</command>
				</action>
			</item>
			<item label="Notifications">
				<action name="Execute">
					<command>xfce4-notifyd-config</command>
				</action>
			</item>
			<item label="Gestion Energie">
				<action name="Execute">
					<command>xfce4-power-manager-settings</command>
				</action>
			</item>
			<menu id="dmenuconfig" label="dmenu">
				<item label="Editer script de demarrage">
					<action name="Execute">
						<command>bl-text-editor ~/.config/dmenu/dmenu-bind.sh</command>
					</action>
				</item>
				<separator label="Help?"/>
				<item label="man page">
					<action name="Execute">
						<command>
                            x-terminal-emulator -T 'man dmenu' -e man dmenu
                        </command>
					</action>
				</item>
			</menu>
			<menu id="gmrunconfig" label="gmrun">
				<item label="Editer fichier de Configuration">
					<action name="Execute">
						<command>bl-text-editor ~/.gmrunrc</command>
					</action>
				</item>
				<separator label="Help?"/>
				<item label="page de manuel">
					<action name="Execute">
						<command>x-terminal-emulator -T 'man gmrun' -e man gmrun</command>
					</action>
				</item>
			</menu>
			<menu id="DisplaySettings" label="Affichage">
				<item label="ARandR Parametrage Ecran">
					<action name="Execute">
						<command>arandr</command>
					</action>
				</item>
				<separator label="Help?"/>
				<item label="page de manuel xrandr">
					<action name="Execute">
						<command>x-terminal-emulator -T 'man xrandr' -e man xrandr</command>
					</action>
				</item>
			</menu>
		</menu>
		<menu id="system" label="Systeme">
			<menu execute="bl-printing-pipemenu" id="PrintingPipeMenu" label="Imprimantes"/>
			<item label="Gestionnaire de paquets Synaptic">
				<action name="Execute">
					<command>gksudo synaptic</command>
				</action>
			</item>
			<item label="Gestionnaire de fichiers root">
				<action name="Execute">
					<command>gksudo bl-file-manager</command>
				</action>
			</item>
			<item label="Editeur de texte root">
				<action name="Execute">
					<command>gksudo bl-text-editor</command>
				</action>
			</item>
			<item label="Login Settings">
				<action name="Execute">
					<command>
                        gksudo bl-text-editor /etc/lightdm/lightdm-gtk-greeter.conf /etc/lightdm/lightdm.conf
                    </command>
				</action>
			</item>
			<item label="Gestion des Partitions GParted">
				<action name="Execute">
					<command>gksudo gparted</command>
				</action>
			</item>
			<item label="Editer les Alternatives Debian">
				<action name="Execute">
					<command>gksudo galternatives</command>
				</action>
			</item>
			<separator/>
			<item label="A Propos de Bunsen Alternatives">
				<action name="Execute">
					<execute>yad --button=&quot;OK&quot;:0 --center --window-icon=distributor-logo-bunsenlabs --text-info --title=&quot;About Bunsen Alternatives&quot; --filename=&quot;/usr/share/bunsen/docs/helpfile-bl-alternatives.txt&quot; --width=900 --height=700 --fontname=Monospace
                    </execute>
				</action>
			</item>
		</menu>
		<menu execute="bl-help-pipemenu" id="help" label="Aide"/>
		<separator/>
		<menu execute="bl-kb-pipemenu" id="keybinds" label="Editeur Raccourcis Clavier"/>
		<separator/>
		<item label="Verrouillage Ecran">
			<action name="Execute">
				<command>bl-lock</command>
			</action>
		</item>
		<item label="Eteindre">
			<action name="Execute">
				<command>obsession-logout</command>
			</action>
		</item>
		<!-- comment out or remove the preceding "Exit" item,
and uncomment the following "exit-menu"
for one-click exit options. -->
		<!--
        <menu id="exit-menu"></menu>
-->
	</menu>
</openbox_menu>

=======================================================================================================================
Ceci n'est qu'une des nombreuses étapes, Il me reste plusieurs articles sur la "Francisation" des pipemenus. Si cela interesse.

This is only one of the many steps, I still have several articles on the "Francisation" of pipemenus. If that interests.

Last edited by Head_on_a_Stick (2017-02-27 19:19:08)

Offline

#2 2017-02-22 10:32:05

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Voici comment franciser le pipemenu Aide
Premiere étape copier les trois fichiers d'aide traduis

Voici la traduction du helpfile-menu.txt se trouvant dans /usr/share/bunsen/docs/
copier la traduction et enregistrer le fichier sous /usr/share/bunsen/docs/aide-fichier-menu.txt

=========================================

Comment editer le menu Openbox

*********  Il est fortement recommandé de faire une sauvegarde en premier!  *************

Le menu Openbox ne se met pas automatiquement à jour, il doit être modifié par l'utilisateur.

Soit éditer "~/.config/openbox/menu.xml" À l'aide d'un éditeur de texte
ou utilisez le gui obconf:

    Menu -> Settings -> Openbox -> GUI Menu Editor
   
(Vous trouverez des liens vers des informations plus détaillées
  dans l'aide en ligne de Openbox dans le menu Aide)


Comment éditer un pipemenu BunsenLabs

1)  Pour les pipemenus graphiques, multimédia et navigateurs:

    Modifiez le fichier de configuration pipemenu, qui est "~/.config/openbox/pipemenus.rc"

    Ajouter / supprimer l'application que vous voulez.
    (NB il doit y avoir un espace entre chaque élément).
    Le nom de l'application est identique au nom du package.

    Par exemple, modifiez les entrées dans le menu "Graphiques" en éditant la ligne:

        GRAPHICS_APPS=( 'mirage' 'gimp' 'blender' 'inkscape' 'mandelbulber' 'viewnior')

Ou

2)  D'autres menus, p.ex. bl-help-pipemenu, sont dans "/ usr / bin /"

*** N'oubliez pas qu'ils pourraient être sur-écrits par une mise à niveau BL package,
     alors utilisez la méthode suivante au lieu d'éditer le fichier en tant que root ***

    1) Copiez le fichier de / usr / bin vers ~ / bin (Créer le répertoire si nécessaire).
    2) Vérifiez ~ / bin est en premier dans $ PATH (Utilisez 'echo $ PATH' pour vérifier)
    3) Modifier le fichier local

    Ils ont des entrées de menu comme:

        menuItem 'Forum Basic Help & Support' 'x-www-browser "https://forums.bunsenlabs.org/viewforum.php?id=2"'
       
    Le premier élément est l'étiquette, le second est la commande à exécuter
   
Recent Files Pipemenu

Exécutez "bl-recent-files-pipemenu -h" pour afficher l'utilisation de la commande.

Pour modifier la façon dont le menu affiche les fichiers récents,
vous pouvez ajouter les commutateurs suivants à l'entrée menu.xml pipemenu:

    -r, --reverse    Mettez les articles les plus récemment utilisés en haut du menu
    -l, --limit  NUM     Inclure jusqu'à NUM éléments dans le menu

Donc, pour avoir les plus récents 20 articles affichés, avec le plus récent d'abord, utilisez:

    <menu execute="bl-recent-files-pipemenu -r -l 20" id="pipe-recentfilesmenu" label="Recent Files"/>
   
========================================================================   


Voici la traduction du helpfile-bl-alternatives.txt se trouvant dans /usr/share/bunsen/docs/
copier la traduction et enregistrer le fichier sous /usr/share/bunsen/docs/fichiers-aide-bl-alternatives.txt


"Alternatives Bunsen"

Les «Alternatives Bunsen» sont quatre groupes ajoutés aux Alternatives Debian:

        bl-file-manager
        bl-text-editor
        bl-image-viewer
        bl-media-player

Ils peuvent être utilisés dans les menus, les raccourcis clavier,
les fichiers de configuration et les scripts comme n'importe quelle autre commande,
et appellera quelle application a été fixée comme cette alternative.
Souvent, le réglage se fait automatiquement, mais même fait manuellement,
il ne doit être fait qu'une seule fois pour couvrir tous les appels à cette commande.
(Voir «Modification des solutions de rechange» ci-dessous.)

Les paramètres par défaut dans une nouvelle installation de BunsenLabs sont les suivants:

        bl-file-manager Thunar
        bl-text-editor  Geany
        bl-image-viewer Mirage
        bl-media-player VLC

La seule différence par rapport aux autres alternatives Debian est qu'elles
ne sont pas automatiquement ajoutées par les packages eux-mêmes.
Par exemple, lorsque xfce4-terminal est installé, il s'ajoute aux options
disponibles pour x-terminal-emulator. Cependant, même si pcmanfm est une alternative
possible pour bl-file-manager, le paquet pcmanfm ne s'ajoutera pas à ce groupe de solutions
alternatives. Ce travail est fait par le script bl-alternatives qui est appelé automatiquement
par dpkg après chaque installation de paquet.
(Il est très rapide et ne ralentit pas significativement l'installation.)

Les applications qui peuvent être ajoutées par bl-alternatives sont:
        bl-file-manager: thunar caja nautilus pcmanfm spacefm xfe
        bl-text-editor: geany emacs gedit jedit kate leafpad medit mousepad scite
        bl-image-viewer: mirage eog eom gpicview viewnior
        bl-media-player: vlc banshee dragonplayer gnome-mplayer gxine kaffeine parole smplayer totem

Note: gvim est également une option pour bl-text-editor, mais est manipulé spécialement
(wrapper et les noms de page man diffèrent).

Vous pouvez les modifier en éditant / usr / bin / bl-alternatives,
Ou ajouter une application à un autre groupe manuellement (voir ci-dessous).

Modification des options

Vous pouvez éditer toutes les variantes Debian (y compris les variétés bl- * BunsenLabs)
Avec la commande 'update-alternatives' (voir 'man update-alternatives'),
Mais il ya aussi une face avant graphique appelé Galternatives qui
est plus facile à utiliser de certaines façons..

In the BunsenLabs menu, click "System" > "Edit Debian Alternatives".
Vous pouvez faire défiler la liste pour voir quels autres groupes ont été installés
sur votre système, quelles options sont disponibles pour chaque groupe
et s'il existe plus d'une option, vous pouvez en définir une autre.

Vous pouvez également ajouter une nouvelle application à un groupe de remplacement existant,
Si le script bl-alternatives n'a pas pu ajouter votre visualiseur d'image préféré
à bl-image-viewer, vous pouvez l'ajouter manuellement ici.

Il n'est pas possible de supprimer un groupe entier avec des galternatives,
mais vous pouvez supprimer une option individuelle d'un groupe.

REMARQUE: Ces paramètres sont à l'échelle du système, affectant tous les utilisateurs.
Si vous voulez une version locale de bl-file-manager définie par exemple pour spacefm,
tout en laissant le réglage du système inchangé, Puis mettez un lien symbolique
appelé 'bl-file-manager' dans ~ / bin qui pointe vers / usr / bin / spacefm.
Si ~ / bin est dans votre $ PATH et vient avant / usr / bin, votre lien symbolique
remplacera le système bl-file-manager.

Voir 'man update-alternatives' pour plus de détails sur les Alternatives Debian.
Ou Ici:
https://www.debian-administration.org/a … ves_system


========================================================================

Voici la traduction du helpfile-conkyzen.txt se trouvant dans /usr/share/bunsen/docs/
copier la traduction et enregistrer le fichier sous /usr/share/bunsen/docs/fichier-aide-conkyzen.txt

BunsenLabs Conky Manager scripts


Une "session" est un groupe de conkys qui peuvent être exécutés ensemble:
Les commandes pour les démarrer sont enregistrées dans un fichier de session enregistrée.
Le menu a une option pour faire une nouvelle session conky,Et le chemin d'accès
du fichier pour la nouvelle session est saisi dans une boîte de dialogue d'entrée de texte gui.

Tous les conkys trouvés sont affichés dans une boîte de dialogue de dialogue yad,
et l'exécution de conkys sont cochées. Entrez "OK" et tous les conkys sont tués,
et celles choisies sont démarrées, et les commandes sont enregistrées dans le fichier
de session par défaut.

Il existe des options de menu pour modifier les fichiers de configuration conky:
Choisir parmi tous les conkys, les conkys en cours d'exécution, ou simplement le conky par défaut.
Plusieurs conkys peuvent être ouverts pour l'édition en même temps.


bl-conkyzen

Le script principal

USAGE:  bl-conkyzen [OPTION]...FILES

    Sans option de commande, le script exécute le gui

    -h,--help  : Aide.
    -f,--file  : FILEPATH : Spécifier le fichier pour enregistrer la session.
    -z           : Exécuter la boîte de dialogue d'entrée de fichier gui
                 pour la nouvelle session enregistrée.

   Lorsque la boîte de dialogue s'ouvre, tous les conkys en cours d'exécution seront cochés.
    Cliquez sur OK et tous les conkys en cours d'exécution sont arrêtés et
    tous les conkys cochés sont lancés.

    Pour arrêter un conky juste décocher, et "OK"

EXEMPLES:
    Enregistrer la session dans un nouveau fichier de session enregistrée avec:

        bl-conkyzen -f sessionfile-name

    Pour démarrer la session conky par défaut lors de la connexion,
    ajoutez la ligne suivante a autostart:

        (sleep 2s && bl-conky-session --autostart) &
       
       
bl-conky-session

Script pour gérer les fichiers session

USAGE:  bl-conky-session [OPTION(S)]...FILES

    Sans argument de commande, le script utilise la valeur par défaut
    "$CONKYPATH/conky-session" sessionfile

OPTIONS:
    --default   : Spécifier le fichier session par défaut
    --autostart : Aucune option "kill conky" demandée
     Chemin / vers / sessionfile1 / chemin / vers / sessionfile2 etc

EXEMPLES:
    Exécuter le fichier session spécifié lors de la connexion:
    "bl-conky-session --autostart /path/to/sessionfile"

    Exécute le fichier session par défaut, sans tuer les conkys en cours d'exécution:
    "bl-conky-session --autostart"

    Exécutez plusieurs fichiers de session conky (option de kill conkys en premier):
    "bl-conky-session --default sessionfile1 sessionfile2 etc"
   
   
bl-conkyedit

Script pour afficher une liste avec tous les conkys disponibles pour l'édition.
Les fichiers conky config choisis seront ouverts dans l'éditeur de texte par défaut.

========================================================================

Il faut ensuite copier les pipemenus Bunsen dans le dossier "bin" du "home".

cp  /usr/bin/bl-* ~/bin/
Vérifiez que ~/bin est en premier dans $PATH (Utilisez 'echo $PATH' pour vérifier)
modifier le pipemenu que vous desirez franciser.

Voici mon premier pipemenu Bunsen traduis en francais :

"bl-help-pipemenu" à copier ou modifier selon vos besoin

pour modifier : geany ~/bin/bl-help-pipemenu

========================================================================

#!/bin/bash
#    bl-help-pipemenu - Un pipemenu Openbox pour afficher
#    des fichiers d'aide. 
#    Copyright (C) 2015 damo    <damo@bunsenlabs.org>
#    Traduction Luvalem
#
#    Ce programme est un logiciel libre: vous pouvez le redistribuer
#    et / ou le modifier selon les termes de la Licence Publique 
#    Générale GNU publiée par la Free Software Foundation,
#    soit la version 3 de la licence, soit (à votre choix)
#    toute version ultérieure.
#
#    Ce programme est distribué dans l'espoir qu'il sera utile,
#    Mais SANS AUCUNE GARANTIE; Sans même la garantie implicite de
#    QUALITÉ MARCHANDE OU ADAPTATION À UN USAGE PARTICULIER.  Voir la
#    GNU General Public License pour plus de détails.
#
#   Vous devriez avoir reçu une copie de la Licence Publique 
#   Générale GNUavec ce programme.  Sinon, voir 
#   <[url]http://www.gnu.org/licenses/[/url]>.

HELP='    bl-help-pipemenu un pipemenu Openbox pour afficher les 
fichiers d aide
    Il est normalement appele par Openbox Menu.

Options (generalement hors du menu):
    -h --help   affiche ce message

    Si bl-help-pipemenu est appele sans option (la methode usuelle),
    il sort un fichier xml openbox pipemenu affichant divers fichier
    d aide, en ligne et sur le système.
'
# Chercher une option d'aide quelque part
for i in "$@"
do
    case "$i" in
    -h|--help)
        echo "$HELP"
        exit 0
        ;;
    esac
done

BL_COMMON_LIBDIR='/usr/lib/bunsen/common'

if ! . "$BL_COMMON_LIBDIR/bl-include.cfg" 2> /dev/null; then
    echo $"Error: Echec de la source bl-include.cfg dans $BL_COMMON_LIBDIR" >&2
    exit 1
fi

menuStart
menuSeparator 'Aide Web'
menuSeparator
menuItem 'Forum d aide & support' 'x-www-browser "[url]https://forums.bunsenlabs.org/viewforum.php?id=2[/url]"'
menuItem 'Scripts, Tutoriels & Conseils' 'x-www-browser "[url]https://forums.bunsenlabs.org/viewforum.php?id=9[/url]"'
menuSubmenu 'DebianWWW' 'Debian'
menuItem 'Debian Documentation' 'x-www-browser "[url]https://www.debian.org/doc/index.fr.html[/url]"'
menuItem 'Debian Cahier Administrateur' 'x-www-browser "[url]https://debian-handbook.info/browse/fr-FR/stable/[/url]"'
menuItem 'Debian Reference' 'x-www-browser "[url]https://www.debian.org/doc/manuals/debian-reference/index.fr.html[/url]"'
menuItem 'Wiki' 'x-www-browser "[url]https://wiki.debian.org/fr/FrontPage[/url]"'
menuItem 'Forum' 'x-www-browser "[url]https://www.debian-fr.org/[/url]"'
menuItem 'Recherche Package' 'x-www-browser "[url]https://www.debian.org/distrib/packages.fr.html[/url]"'
menuItem 'Package Tracker' 'x-www-browser "[url]https://tracker.debian.org/[/url]"'
menuItem 'Security Tracker' 'x-www-browser "[url]https://security-tracker.debian.org/tracker/[/url]"'
menuSubmenuEnd
menuItem 'Arch Wiki' 'x-www-browser "[url]https://wiki.archlinux.fr/[/url]"'

menuSeparator

menuSubmenu 'OpenboxWWW' 'Openbox'
menuSubmenu 'ObWWW' 'Openbox Website'
menuItem 'Openbox Homepage' 'x-www-browser "[url]http://openbox.org/[/url]"'
menuItem 'Openbox Getting Started' 'x-www-browser "[url]http://openbox.org/wiki/Help:Getting_started[/url]"'
menuItem 'Openbox Documentation' 'x-www-browser "[url]http://openbox.org/wiki/Help:Contents[/url]"'
menuItem 'Openbox FAQs' 'x-www-browser "[url]http://openbox.org/wiki/Help:FAQ[/url]"'
menuSubmenuEnd
menuItem 'ArchWiki Guide Openbox' 'x-www-browser "[url]https://wiki.archlinux.fr/Openbox[/url]"'
menuItem 'Debian Wiki Guide Openbox' 'x-www-browser "[url]https://wiki.debian.org/fr/Openbox[/url]"'
menuItem 'Phollow Guide Openbox' 'x-www-browser "[url]https://phollow.fr/2009/01/openbox-le-guide/[/url]"'
menuSubmenuEnd

menuSubmenu 'Tint2WWW' 'Tint2'
menuItem 'Tint2 Wiki: FAQ' 'x-www-browser "[url]https://gitlab.com/o9000/tint2/wikis/FAQ[/url]"'
menuItem 'Tint2 Wiki: Configuration' 'x-www-browser "[url]https://gitlab.com/o9000/tint2/blob/master/doc/tint2.md[/url]"'
menuItem 'Tint2 Forum Thread' 'x-www-browser "[url]https://forums.bunsenlabs.org/viewtopic.php?id=254[/url]"'
menuItem 'Tint2 man page' 'x-terminal-emulator -T "Tint2 man page" -e man tint2'
menuSubmenuEnd

menuSubmenu 'ConkyWWW' 'Conky'
menuItem 'Conky Wiki' 'x-www-browser "[url]https://github.com/brndnmtthws/conky/wiki[/url]"'
menuItem 'Conky Archive' 'x-www-browser "[url]http://crunchbang.org/forums/viewtopic.php?pid=371424[/url]"'
menuItem 'Conky man pages' 'x-terminal-emulator -T "Conky man page" -e man conky'
menuSubmenuEnd
menuSeparator

menuSubmenu 'ThemesWWW' 'Theme Sites Telechargements'
menuItem 'Bunsenlabs on DeviantArt' 'x-www-browser "[url]http://bunsenlabs.deviantart.com/[/url]"'
menuItem 'Box-Look.org' 'x-www-browser "[url]http://www.box-look.org[/url]"'
menuItem 'gnome-look.org' 'x-www-browser "[url]http://gnome-look.org/[/url]"'
menuSubmenuEnd
menuSeparator
menuSeparator 'man pages'
menuItem 'Compositor' 'x-terminal-emulator -T "Compositor man page" -e man compton'
menuItem 'dmenu' 'x-terminal-emulator -T "dmenu man page" -e man dmenu'
menuItem 'gmrun' 'x-terminal-emulator -T "gmrun man page" -e man gmrun'
menuItem 'xrandr' 'x-terminal-emulator -T "xrandr man page" -e man xrandr'

menuSeparator
menuSubmenu 'BLhelp' 'Fichier d Aide Bunsen'
menuItem 'Comment Editer Menu' 'yad --button="OK":0 --center --window-icon=distributor-logo-bunsenlabs --text-info --title="How to Edit the Menu" --filename="/usr/share/bunsen/docs/aide-fichier-menu.txt" --width=900 --height=700 --fontname=Monospace'
menuItem 'A Propos des Alternatives Bunsen ' 'yad --button="OK":0 --center --window-icon=distributor-logo-bunsenlabs --text-info --title="About Bunsen Alternatives" --filename="/usr/share/bunsen/docs/fichier-aide-bl-alternatives.txt" --width=900 --height=700 --fontname=Monospace'
menuItem 'Aide Conkyzen' 'yad --button="OK":0 --center --window-icon=distributor-logo-bunsenlabs --text-info --title="Conkyzen Help" --filename="/usr/share/bunsen/docs/fichier-aide-conkyzen.txt" --width=900 --height=700 --fontname=Monospace'
menuSubmenuEnd

menuEnd

========================================================================
Vous devriez alors dans votre menu Openbox section aide, les liens
et les sous menus en francais.
Prochainement d'autres pipemenus traduis.

You should then in your menu Openbox Help section, the links
And sub menus in French.
Soon other translated pipemenus.

Last edited by Head_on_a_Stick (2017-02-27 19:20:48)

Offline

#3 2017-02-22 11:08:26

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Voici la troisième étape :traduction du pipemenu conky

a copier dans "~/bin/bl-conky-pipemenu

A condition bien sur que vous ayait copié les pipemenus du dossier
/usr/bin/ dans ~/bin

Logiquement après cette manipulation, dans le menu
Openbox > Préférence > Conky tout sera en Francais.

=======================================================================

#!/bin/bash
#    bl-conky-pipemenu - Un pipemenu Openbox pour manipuler conky
#    Copyright (C) 2015 damo <damo@bunsenlabs.org>
#
#    Ce programme est un logiciel libre: vous pouvez le redistribuer
#    et / ou le modifier selon les termes de la Licence Publique 
#    Générale GNU publiée par la Free Software Foundation,
#    soit la version 3 de la licence, soit (à votre choix)
#    toute version ultérieure.
#
#    Ce programme est distribué dans l'espoir qu'il sera utile,
#    Mais SANS AUCUNE GARANTIE; Sans même la garantie implicite de
#    QUALITÉ MARCHANDE OU ADAPTATION À UN USAGE PARTICULIER.  Voir la
#    GNU General Public License pour plus de détails.
#
#   Vous devriez avoir reçu une copie de la Licence Publique 
#   Générale GNUavec ce programme.  Sinon, voir 
#   <[url]http://www.gnu.org/licenses/[/url]>.

HELP='    bl-conky-pipemenu Un pipemenu Openbox pourutiliser conky
    Il est generalement appelé par openbox menu.

Options:
    -h --help   Affiche ce message

    Si bl-conky-pipemenu est appelé sans options (Methode usuelle),
    Il produira un fichier xml openbox pipemenu pour la manipulation 
    des sessions conky.

voir /usr/share/bunsen/docs/fichier-aide-conkyzen.txt and "man conky"
pour plus d information.
'
# look for a help option somewhere
for i in "$@"
do
    case "$i" in
    -h|--help)
        echo "$HELP"
        exit 0
        ;;
    esac
done

BL_COMMON_LIBDIR='/usr/lib/bunsen/common'

CONKYDEFAULT="$HOME/.conkyrc"
CONKYPATH="$HOME/.config/conky"
CSESSIONFILE="$CONKYPATH/conky-sessionfile"
SESSIONS="$CONKYPATH/saved-sessions"
CZEN="bl-conkyzen"
CSESSION="bl-conky-session"
HELPFILE="/usr/share/bunsen/docs/fichier-aide-conkyzen.txt"

if ! . "$BL_COMMON_LIBDIR/bl-include.cfg" 2> /dev/null; then
    echo "Error: Echec de la source bl-include.cfg in $BL_COMMON_LIBDIR" >&2
    exit 1
fi
if [ ! -e "$CSESSIONFILE" ] 2> /dev/null ; then
    echo "Error: Impossible de trouver un fichier conky-session dans $CONKYPATH" >&2
    echo "conky -c $HOME/.conkyrc & sleep 1" > "$CSESSIONFILE"
fi
if [ ! -e "$SESSIONS" ] 2> /dev/null ; then
    echo "$0: Impossible de trouver une session sauvegardee dans $CONKYPATH" >&2
fi

declareDependencies yad

getSessions(){  # read any saved sessions from save-sessions file
    menuItem "Default" "$CSESSION $CSESSIONFILE"
    if [ -e "$SESSIONS" ]
    then
        while read -r session ;do
            [[ -z $session ]] && continue   # skip if line is blank
            menuItem "$session" "$CSESSION $session"
        done < "$SESSIONS"
    else
        echo "$0: Impossible de trouver une session sauvegardee dans $CONKYPATH" >&2
    fi
}

loadChooserMenu(){
    if type "$CZEN" &>/dev/null;then  # bl-conkyzen script found
        menuItem "Choisir Conky" "$CZEN"
    fi
}

loadNewsessionMenu(){
    if type "$CZEN" &>/dev/null;then  # bl-conkyzen script found
        menuItem "Nouvelle Session Conky" "$CZEN -z"
    fi
}

loadReloadMenu(){
    if type "$CSESSION" &>/dev/null;then  # bl-conky-session script found
        menuItem "Recharger Conkys" "$CSESSION"
    fi
}

loadSavedsessionSubmenu(){
    if type "$CSESSION" &>/dev/null;then  # bl-conky-session script found
        menuSubmenu "Sessions" "Sessions Sauvegardees"
        getSessions
        menuSubmenuEnd
    fi
}

loadPinMenu(){
    if type bl-conkypin &>/dev/null;then
        menuItem "Position Conkys" "bl-conkypin"
        menuSeparator
    fi
}

loadEditMenu(){
    menuItem "Actuel conkyrc" "bl-text-editor $CONKYDEFAULT"
    if [[ $(pidof conky) ]];then
        menuSubmenu "RunningConky" "Conkys Actifs"
        while read -r session ;do  # get running conkys from sessionfile
            [[ -z $session ]] && continue
            CPATH=$(echo "$session" | awk '{print $3}')
            CONKY=$(echo "$CPATH" | awk -F"/" '{print $(NF-1)"/"$NF }')
            menuItem "$CONKY" "bl-text-editor $CPATH"
        done < "$CSESSIONFILE"
        menuSubmenuEnd
    else
        menuItem "Pas de Conky Actif"
    fi
}

getConkys(){
    menuSubmenu "EditConky" "Editer Conkys"
        if type bl-conkyedit &>/dev/null;then  # bl-conkyedit script found
            menuItem "Conky Editeur" "bl-conkyedit"
            loadEditMenu
        else
            loadEditMenu
        fi
    menuSubmenuEnd
}

checkHelpfile(){
    DLG="yad --text-info --center --borders=20 \
    --title='BunsenLabs Conky Manager Help' \
    --window-icon=distributor-logo-bunsenlabs \
    --filename=$HELPFILE --fontname=Monospace \
    --width=650 --height=700 \
    --button=OK:0"
    if [[ -e $HELPFILE ]];then
        menuItem "Aide Conky" "$DLG"
    fi
}

menuStart "Conkymenu" "Conky"
loadChooserMenu
loadReloadMenu
getConkys
menuSeparator
loadPinMenu
loadNewsessionMenu
loadSavedsessionSubmenu
menuSeparator
checkHelpfile
menuEnd

Last edited by Head_on_a_Stick (2017-02-27 19:22:41)

Offline

#4 2017-02-22 11:11:28

Steve
Member
Registered: 2017-01-03
Posts: 642

Re: Franciser Bunsenlabs etape 1

Can you not install Bunsenlabs in your native language via the installer? I would have thought this was possible being a debian installation first and foremost.

Offline

#5 2017-02-22 11:28:44

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

No, after installation, despite my choice of languages in french, the different files, iceweasel, Libreoffice, openbox menu, pipemenus are in English, as well as his previous Crunchbang, which had a script to "Frenchise" the system.
But for BunsenLabs, it does not exist yet, and I unfortunately do not have enough knowledge in script to create it, I content to francize according to my possibilities.

Last edited by luvalem (2017-02-22 11:29:50)

Offline

#6 2017-02-22 11:39:34

Steve
Member
Registered: 2017-01-03
Posts: 642

Re: Franciser Bunsenlabs etape 1

Yes sorry, my mistake. Only the debian installer can be configured to other languages.I wish you luck with this.

Offline

#7 2017-02-22 11:45:33

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Voici la quatrième étape :traduction du pipemenu Tint2

a copier dans "~/bin/bl-tint2-pipemenu

A condition bien sur que vous ayait copié les pipemenus du dossier
/usr/bin/ dans ~/bin

Logiquement après cette manipulation, dans le menu
Openbox > Préférence > Tint2, tout sera en Francais.



#!/bin/bash

#    bl-tint2-pipemenu - an Openbox pipemenu for tint2 manipulation
#    Copyright (C) 2015-2016 damo    <damo@bunsenlabs.org>
#    Traduis par Luvalem
#
#    Ce programme est un logiciel libre: vous pouvez le redistribuer
#    et / ou le modifier selon les termes de la Licence Publique 
#    Générale GNU publiée par la Free Software Foundation,
#    soit la version 3 de la licence, soit (à votre choix)
#    toute version ultérieure.
#
#    Ce programme est distribué dans l'espoir qu'il sera utile,
#    Mais SANS AUCUNE GARANTIE; Sans même la garantie implicite de
#    QUALITÉ MARCHANDE OU ADAPTATION À UN USAGE PARTICULIER.  Voir la
#    GNU General Public License pour plus de détails.
#
#   Vous devriez avoir reçu une copie de la Licence Publique 
#   Générale GNUavec ce programme.  Sinon, voir 
#   <[url]http://www.gnu.org/licenses/[/url]>.

HELP='    bl-tint2-pipemenu un pipemenu Openbox pour modifier tint2
    Il est normalement appele par Openbox Menu.

Options:
    -h --help   affiche ce message

    If bl-tint2-pipemenu est appele sans option (la methode usuelle),
    Il sortira un pipemenu xml openbox pour la gestion des sessions
     tint2 et l édition des fichiers de configuration.

Pour plus d informations, voir "man tint2"
et "Help">"Tint2" in the BunsenLabs menu.
'
# look for a help option somewhere
for i in "$@"
do
    case "$i" in
    -h|--help)
        echo "$HELP"
        exit 0
        ;;
    esac
done

BL_COMMON_LIBDIR='/usr/lib/bunsen/common'

TINT2PATH="$HOME/.config/tint2"
TINT2RC="$TINT2PATH/tint2rc"
TZEN="bl-tint2zen"

if ! . "$BL_COMMON_LIBDIR/bl-include.cfg" 2> /dev/null; then
    echo $"Error: Échec de la source bl-include.cfg in $BL_COMMON_LIBDIR" >&2
    exit 1
fi

loadTEditmenu(){
    menuSeparator
    menuItem "Editer tint2rc" "bl-text-editor $TINT2RC"
    if [ "$(pidof tint2)" ];then
        menuSubmenu "RunningTint2" "Tint2s Actuel"
        pgrep -a tint2 | while read -r pid cmd; do
            if [[ ${cmd%% *} = tint2 ]]; then
                TINT=${cmd##* }
                TINT2=${TINT#$HOME/.config/}
                if [[ $TINT = tint2 ]];then
                    TINT="$TINT2RC"
                    TINT2="Default tint2rc"
                fi
                menuItem "$TINT2" "bl-text-editor $TINT"
            fi
        done
        menuSubmenuEnd
    fi
}

getTint2s(){
    menuSubmenu "EditTint2" "Editer Tint2s"
        if type bl-tint2edit &>/dev/null;then  # bl-tint2edit script found
            menuItem "Editeur Tint2" "bl-tint2edit"
            loadTEditmenu
        else
            loadTEditmenu
        fi
    menuSubmenuEnd
}

loadChoosermenu(){
    if type $TZEN &>/dev/null;then  # bl-tint2zen script found
        menuItem "Choisir Tint2" "$TZEN"
    fi
}

loadRestartmenu(){
    if [ "$(pidof tint2)" ];then
        if type bl-tint2restart &>/dev/null;then  # bl-tint2restart script found
            menuItem "Relancer Tint2" "bl-tint2restart"
        fi
    fi
}

menuStart "Tintmenu" "Tint2"
loadChoosermenu
loadRestartmenu
getTint2s
menuEnd

Last edited by Head_on_a_Stick (2017-02-27 19:23:23)

Offline

#8 2017-02-22 11:46:19

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Thank's

Offline

#9 2017-02-22 12:50:40

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Voici la cinquième étape :traduction du pipemenu bl-x-www-browser-pipemenu

a copier dans "~/bin/bl-x-www-browser-pipemenu

A condition bien sur que vous ayait copié les pipemenus du dossier
/usr/bin/ dans ~/bin

Logiquement après cette manipulation, dans le menu
Openbox > Réseau > Navigateur Web, tout sera en Francais.

#!/bin/bash
#    bl-x-www-browser-pipemenu - an Openbox pipemenu for web browsers
#    Copyright (C) 2012 Philip Newborough   <corenominal@corenominal.org>
#    Copyright (C) 2013 Aleks-Daniel Jakimenko
#    Copyright (C) 2015 damo    <damo@bunsenlabs.org>
#    Copyright (C) 2015-2016 John Crawley    <john@bunsenlabs.org>
#    Traduis par Luvalem
#
#    Ce programme est un logiciel libre: vous pouvez le redistribuer
#    et / ou le modifier selon les termes de la Licence Publique 
#    Générale GNU publiée par la Free Software Foundation,
#    soit la version 3 de la licence, soit (à votre choix)
#    toute version ultérieure.
#
#    Ce programme est distribué dans l'espoir qu'il sera utile,
#    Mais SANS AUCUNE GARANTIE; Sans même la garantie implicite de
#    QUALITÉ MARCHANDE OU ADAPTATION À UN USAGE PARTICULIER.  Voir la
#    GNU General Public License pour plus de détails.
#
#   Vous devriez avoir reçu une copie de la Licence Publique 
#   Générale GNUavec ce programme.  Sinon, voir 
#   <http://www.gnu.org/licenses/>.

#   Pour changer les entrées indiqué dans Browsers pipemenu:
#   edit ".config/openbox/pipemenus.rc"

HELP='    bl-x-www-browser-pipemenu est un pipemenu Openbox pour Navigateur Internet
    Il devrait normalement être appelé à partir d un menu openbox.

Options (généralement passé du menu):
    -h --help   Afficher ce message
    --install   installer un Navigateur Internet
    (Le navigateur doit etre dans la liste definie dans le fichier config pipemenu)
    (NOTE: Google Chrome n apparait pas dans le menu dans les systemes 32bit.)

    Si bl-x-www-browser-pipemenu est appelé sans options (la méthode usuelle),
    Il sortira un openbox pipemenu xml
    Pour lancer & installer les navigateurs Internet.

Voir ~/.config/openbox/pipemenus.rc pour les options de configuration.
'
# Cherchez une option d'aide quelque part
for i in "$@"
do
    case "$i" in
    -h|--help)
        echo "$HELP"
        exit 0
        ;;
    esac
done

BL_COMMON_LIBDIR='/usr/lib/bunsen/common'
USR_CFG_DIR="$HOME/.config/openbox"

KEY_URLS_GOOGLE=('https://dl-ssl.google.com/linux/linux_signing_key.pub')
KEY_URLS_OPERA=('http://deb.opera.com/archive.key')

declareDependencies wget

if ! . "$BL_COMMON_LIBDIR/bl-include.cfg" 2> /dev/null; then
    echo $"Error: Echec de la source bl-include.cfg in $BL_COMMON_LIBDIR" >&2
    exit 1
elif ! . "$USR_CFG_DIR/pipemenus.rc" 2> /dev/null; then
    echo $"Error: Echec de la source pipemenus.rc in $USR_CFG_DIR" >&2
    exit 1
fi

declare -A AppName AppStatus # AppName: Fractionnée sur des traits d'union, première lettre en majuscules
for curApp in "${BROWSERS[@]}"; do
    words=(${curApp//-/ })
    AppName[$curApp]="${words[*]^}"
    type "$curApp" >/dev/null 2>&1 && AppStatus[$curApp]=installed
done

appExists() {
    for curApp in "${BROWSERS[@]}"; do # Si $packageName existe dans le tableau BROWSERS
        [[ $curApp = "$1" ]] &&
            return 0
    done
    say "Impossible d installer $1. Il n y a aucun navigateur que je connais." 1 >&2
    say "Vous pouvez essayer ceux ci: ${BROWSERS[*]}" 2 >&2
    return 1
}

addAptKey() {
    clear
    say 'Adding APT key...'
    keyFile=$(mktemp)
    gotKey=false
    for curKey; do
        wget -O "$keyFile" "$curKey" 2> /dev/null && {
            gotKey=true
            say 'Clé Téléchargée.'
            break
        } # Succès. Pas besoin d'essayer d autres keys
        say "Impossible de récupérer la clé de $curKey . Essayer d autres sources..."
    done
    if ! $gotKey; then
        say 'Impossible de récupérer APT key!' 3 >&2
        return 1
    fi
    say 'Ajout de la clé'
    sudo apt-key add "$keyFile"
    rm -f "$keyFile"
    return 0
}

# Si le package nécessite une configuration supplémentaire avant l'installation
# créer une fonction appelée setupBrowserName, elle sera appelée automatiquement.

setupGoogleChromeStable() {
    addAptKey "${KEY_URLS_GOOGLE[@]}" || return 1
    say 'Creation APT sources file...' 1
    echo 'deb http://dl.google.com/linux/chrome/deb/ stable main' | sudo tee '/etc/apt/sources.list.d/google-chrome.list'
}

setupOpera() {
    addAptKey "${KEY_URLS_OPERA[@]}" || return 1
    say 'Creation APT sources file...' 1
    echo 'deb http://deb.opera.com/opera/ stable non-free' | sudo tee '/etc/apt/sources.list.d/opera.list'
}

if [[ $1 = --install ]]; then
    packageName=$2
    appName=${AppName[$packageName]}
    appExists "$packageName" || exit 1

    terminalCheck -T "Install $appName" "$@"

    desc="Ce script vas installer $appName browser."
    setupFunctionName="setup${appName//[^a-zA-Z]/}" # setupFunctionName devrait maintenant être au format comme 'setupChromium'
    [[ $packageName = firefox ]] && packageName='firefox-esr' # firefox in Debian Jessie
    if [[ $(type -t "$setupFunctionName") = 'function' ]]; then
        promptInstall --setup "$setupFunctionName" "$appName" "$desc" "$packageName"
    else
        promptInstall "$appName" "$desc" "$packageName"
    fi

elif [[ $1 ]]; then
    echo "$0: Pas d'option $*" >&2
    exit 1

else # pipemenu
    INSTALLED=false
    menuStart

    for curApp in "${BROWSERS[@]}"; do
        if [[ ${AppStatus[$curApp]} = installed ]]; then
            INSTALLED=true
            menuItem "${AppName[$curApp]}" "$curApp"
            [[ $curApp = *chrom* ]] && {
                menuItem "${AppName[$curApp]} (Private Mode)" "$curApp --incognito" # Incognito mode pour chrome and chromium
            }
        fi
    done
    menu_started=false
    for curApp in "${BROWSERS[@]}"; do
        if [[ ${AppStatus[$curApp]} != installed ]]; then
            [[ $curApp = google-chrome-stable && $(dpkg --print-architecture) != 'amd64' ]] && continue
            $menu_started || menuSubmenu "browsers-install-submenu" "Install"
            menu_started=true
            menuItem "Install ${AppName[$curApp]}" "$0 --install $curApp"
        fi
    done
    $menu_started && menuSubmenuEnd

    if $INSTALLED ; then
        menuSeparator
        menuItem 'Selection du navigateur par Defaut' "x-terminal-emulator -T 'Select Default Browser' -e sh -c 'sudo update-alternatives --config x-www-browser; sleep 5'"
    fi
    menuEnd
fi
exit 0

Last edited by Head_on_a_Stick (2017-02-27 19:24:06)

Offline

#10 2017-02-22 13:41:13

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Voici la sixième étape :traduction du pipemenu bl-graphics-pipemenu

a copier dans "~/bin/bl-graphics-pipemenu

A condition bien sur que vous ayait copié les pipemenus du dossier
/usr/bin/ dans ~/bin/

Logiquement après cette manipulation, dans le menu
Openbox > Graphisme tout sera en Francais.

#!/bin/bash
#    bl-graphics-pipemenu - un pipemenu Openbox pour applications Graphiques
#    Copyright (C) 2012 Philip Newborough   <corenominal@corenominal.org>
#    Copyright (C) 2015-2016 damo    <damo@bunsenlabs.org>
#    Copyright (C) 2015-2016 John Crawley    <john@bunsenlabs.org>
#    Traduis par Luvalem
#
#    Ce programme est un logiciel libre: vous pouvez le redistribuer
#    et / ou le modifier selon les termes de la Licence Publique 
#    Générale GNU publiée par la Free Software Foundation,
#    soit la version 3 de la licence, soit (à votre choix)
#    toute version ultérieure.
#
#    Ce programme est distribué dans l'espoir qu'il sera utile,
#    Mais SANS AUCUNE GARANTIE; Sans même la garantie implicite de
#    QUALITÉ MARCHANDE OU ADAPTATION À UN USAGE PARTICULIER.  Voir la
#    GNU General Public License pour plus de détails.
#
#   Vous devriez avoir reçu une copie de la Licence Publique 
#   Générale GNUavec ce programme.  Sinon, voir 
#   <http://www.gnu.org/licenses/>.

#   Pour changer les entrées du Graphics pipemenu:
#   editer ".config/openbox/pipemenus.rc"

HELP='    bl-graphics-pipemenu un pipemenu openbox pour applications graphiques
    Il devrait normalement être appelé à partir du menu openbox.

Options (Généralement passé du menu):
    -h --help   Afficher ce message
    --install   Installer un package graphique
    (Le paquet doit être dans la liste définie dans le fichier de configuration pipemenu)

    Si bl-graphics-pipemenu est appelé sans options (La méthode habituelle),
    il sortira un fichier openbox pipemenu xml
    pour le lancement et l installation d applications graphiques.

Voir ~/.config/openbox/pipemenus.rc pour les options de configuration.
'
# Cherchez une option d'aide quelque part
for i in "$@"
do
    case "$i" in
    -h|--help)
        echo "$HELP"
        exit 0
        ;;
    esac
done

BL_COMMON_LIBDIR='/usr/lib/bunsen/common'
USR_CFG_DIR="$HOME/.config/openbox"

# Get $USER images directory
if type xdg-user-dir &>/dev/null; then
    IMGDIR=$(xdg-user-dir PICTURES)
else
    IMGDIR="~/Images"
fi
# test pour le dossier Captures ecrans, le creer si pas existant
SCROTSDIR="$IMGDIR/captures"
mkdir -p "$SCROTSDIR"

if ! . "$BL_COMMON_LIBDIR/bl-include.cfg" 2> /dev/null; then
    echo $"Erreur: Échec de la source bl-include.cfg in $BL_COMMON_LIBDIR" >&2
    exit 1
elif ! . "$USR_CFG_DIR/pipemenus.rc" 2> /dev/null; then
    echo $"Erreur: Echec de la source pipemenus.rc in $USR_CFG_DIR" >&2
    exit 1
fi

declare -A AppName AppStatus # AppName: fractionnée sur des traits d'union, première lettre en majuscules
for curApp in "${GRAPHICS_APPS[@]}" "${GRAPHICS_SCROTS[@]}"; do
    words=(${curApp//-/ })
    AppName[$curApp]="${words[*]^}"
    type "$curApp" >/dev/null 2>&1 && AppStatus[$curApp]=installed
done

appExists() {
    for curApp in "${GRAPHICS_APPS[@]}"; do # si $packageName existe dans le Tableau GRAPHICS_APPS
        [[ $curApp = "$1" ]] &&
            return 0
    done
    say "Unable to install $1. Il n existe pas de telle application que je connaisse." 1 >&2
    say "Vous pouvez essayer une de celles ci: ${GRAPHICS_APPS[*]}" 2 >&2
    return 1
}

screenshooterExists() {
    for curScrot in "${GRAPHICS_SCROTS[@]}"; do # si $packageName existe dans le Tableau GRAPHICS_SCROTS
        [[ $curScrot = "$1" ]] &&
            return 0
    done
    say "Impossible d installer $1. Il n existe pas de telle application que je connaisse." 1 >&2
    say "Vous pouvez essayer une de celles ci: ${GRAPHICS_SCROTS[*]}" 2 >&2
    return 1
}

writeScrot() {                  # Write scrot submenu items
    IMG="$SCROTSDIR/%F-%H-%M-%S_scrot.png"
    VIEW="'bl-image-viewer $IMG'"
    menuSubmenu 'scrot' 'Capture Ecran Scrot'
        menuItem "scrot Maintenant" "scrot $IMG -e $VIEW"
        menuItem "scrot dans 5 secs..." "scrot -d 5 $IMG -e $VIEW"
        menuItem "scrot dans 10 secs..." "scrot -d 10 $IMG -e $VIEW"
        menuItem "scrot Selection" "scrot -s $IMG -e $VIEW"
        menuItem "scrot Current Focus" "scrot -u $IMG -e $VIEW"
        menuItem "scrot Multi-Monitor" "scrot -m $IMG -e $VIEW"
    menuSubmenuEnd
}

# Si le package nécessite une configuration supplémentaire avant l'installation
# Créer une fonction appelée setupappName, elle sera appelée automatiquement.

if [[ $1 = --install ]]; then
    packageName=$2
    appName=${AppName[$packageName]}
    if [[ $packageName = scrot || $packageName = xfce4-screenshooter ]];then
        screenshooterExists "$packageName" || exit 1
    else
        appExists "$packageName" || exit 1
    fi

    terminalCheck -T "Install $appName" "$@"

    desc="Ce script vas installer $appName."
    setupFunctionName="setup${appName//[^a-zA-Z]/}" # setupFunctionName should now be in format like 'setupBlender'
    if [[ $(type -t "$setupFunctionName") = 'function' ]]; then
            promptInstall --setup "$setupFunctionName" "$appName" "$desc" "$packageName"
    else
        if [[ $packageName = gimp ]];then
            if ! prompt 'Ceci vas installer GIMP. voulez vous aussi installer Gimp Extras?' N;then
                promptInstall "$appName" "$desc" "$packageName"
            else
                appName="Gimp and Gimp Extras"
                packageNameSet=(gimp gimp-plugin-registry gimp-gmic)
                desc="Ce script vas installer gimp, gimp-plugin-registry and gimp-gmic"
                promptInstall "$appName" "$desc" "${packageNameSet[@]}"
            fi
        else
            promptInstall "$appName" "$desc" "$packageName"
        fi
    fi

elif [[ $1 ]]; then
    echo "$0: pas d option $*" >&2
    exit 1

else # pipemenu
    menuStart
    for curApp in "${GRAPHICS_APPS[@]}"; do
        if [[ ${AppStatus[$curApp]} = installed ]]; then
            menuItem "${AppName[$curApp]}" "$curApp"
        fi
    done
    menu_started=false
    for curApp in "${GRAPHICS_APPS[@]}"; do
        if ! [[ ${AppStatus[$curApp]} = installed ]]; then
            $menu_started || menuSubmenu "graph-apps-install-submenu" "Install"
            menu_started=true
            menuItem "Install ${AppName[$curApp]}" "$0 --install $curApp"
        fi
    done
    $menu_started && menuSubmenuEnd

    menuSeparator 'Capture Ecran'

    for curScrot in "${GRAPHICS_SCROTS[@]}"; do
        if [[ ${AppStatus[$curScrot]} = installed ]]; then
            if [[ "$curScrot" = scrot ]];then
                writeScrot
            else
                menuItem "${AppName[$curScrot]}" "$curScrot"
            fi
        fi
    done
    menu_started=false
    for curScrot in "${GRAPHICS_SCROTS[@]}"; do
        if ! [[ ${AppStatus[$curScrot]} = installed ]]; then
            $menu_started || menuSubmenu "graph-scrots-install-submenu" "Install"
            menu_started=true
            menuItem "Install ${AppName[$curScrot]}" "$0 --install $curScrot"
        fi
    done
    $menu_started && menuSubmenuEnd
    menuEnd
fi
exit 0

Last edited by Head_on_a_Stick (2017-02-27 19:24:50)

Offline

#11 2017-02-22 17:13:49

hhh
Meep!
Registered: 2015-09-17
Posts: 9,296
Website

Re: Franciser Bunsenlabs etape 1

@luvalem, thanks for all the time you've put in!

That said, please hold off on posting more steps, we're discussing how best to organize this into our forum and that takes patience, the team is spread around the globe.

Online

#12 2017-02-22 17:45:15

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

@TESTING!!!!!!!   
Thank you, what do you mean by "please hold off on posting more steps", I excuse myself but my English is not very evolved, I manage by the translator web. I arrive little by little with my means to translate my distribution and if you allow, I will continue to post my advances.

Last edited by luvalem (2017-02-22 17:49:08)

Offline

#13 2017-02-22 17:53:04

Unia
Octo-portal-pussy
From: Stockholm, Sweden
Registered: 2015-09-17
Posts: 355
Website

Re: Franciser Bunsenlabs etape 1

What hhh means is that we like what you are doing, but are wondering if it can be done in a better way.

For example, translations should actually be done the proper way using gettext, but no such system is in place yet. Your posts are also scattered right now, and we are wondering if we can bring some structure into this.

We are discussing this now and ask you to wait until we have worked something out.


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#14 2017-02-22 18:20:16

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

@Unia
Ok, I understand, I wait before posting the following, I continue my work on my BunsenLabs and come back to you as soon as you are ready.
Thank you very much for your answers and my apologies for my English.

Offline

#15 2017-02-22 18:32:02

hhh
Meep!
Registered: 2015-09-17
Posts: 9,296
Website

Re: Franciser Bunsenlabs etape 1

Thanks!

Online

#16 2017-02-22 23:16:06

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

@Unia & @hhh
I have gathered the translated files on github, maybe posting a link to these files would be more suitable.

Offline

#17 2017-02-22 23:26:07

hhh
Meep!
Registered: 2015-09-17
Posts: 9,296
Website

Re: Franciser Bunsenlabs etape 1

Post the link here for anyone who can't wait a day or two more.

Online

#18 2017-02-22 23:34:22

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

No, for me this can wait, files are transferred to github and are waiting. Sorry for the inconvenience. See you soon.

Offline

#19 2017-02-23 00:20:15

hhh
Meep!
Registered: 2015-09-17
Posts: 9,296
Website

Re: Franciser Bunsenlabs etape 1

It's no inconvenience. I meant for anyone else.

Online

#20 2017-02-23 00:34:24

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

For easier, here is a link that points to the files already translated.

https://github.com/luvalem/Bunsenlabs-t … -francaise

Offline

#21 2017-02-23 12:06:37

guantas
Member
From: France
Registered: 2016-12-24
Posts: 22

Re: Franciser Bunsenlabs etape 1

Sacré boulot! Merci pour tous ceux qui en auront besoin.

Offline

#22 2017-02-23 12:31:27

luvalem
Member
Registered: 2017-02-22
Posts: 20

Re: Franciser Bunsenlabs etape 1

Merci mais pas encore terminé, tant qu'à le faire pour moi, autant partager.

Offline

#23 2017-03-02 17:20:17

hhh
Meep!
Registered: 2015-09-17
Posts: 9,296
Website

Re: Franciser Bunsenlabs etape 1

To our French-speaking forum members...

The moderators want to consolidate these posts into one mega-thread, including the posts on github. We want to thank luvalem for his patience and ask for a little more, Head_on_a_Stick has volunteered to do the dirty work. we wan't to ask for a little more patience until HoaS has time, but luvalem's English is quite sparse and we're not sure he'll understand.

If one of you could paraphrase this post and translate it here and send him or her a link to your post via PM, we'd be very grateful.

Merci beaucoup!

Online

#24 2017-03-02 19:08:04

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Franciser Bunsenlabs etape 1

(I have merged all of the threads and separated out the code blocks, it should all be readable now, I think)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#25 2017-03-02 19:57:12

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,678

Re: Franciser Bunsenlabs etape 1

Head_on_a_Stick wrote:

(I have merged all of the threads and separated out the code blocks, it should all be readable now, I think)

Perhaps we could create a thread: "BunsenLabs In Other Languages" in the Getting Started forum and link to this and other resources like BL Espanol, BL Japan (etc?) in a more prominent place than just from the BL main site FAQ page?

And sticky this thread.


Wahllos schlägt das Schicksal zu / heute ich und morgen du.

Offline

Board footer

Powered by FluxBB